Subject: Re: mywinsock.h
From: [email-masked] (Joe Stevens)

12 Jan 1998 10:50:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Joe Stevens <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Brent Flannery <[email-masked]>
Cc: [email-masked]

On Sun, 11 Jan 1998, Brent Flannery wrote:

| It seems as though whenever I try to compile a file with mywinsock.h I get
| the following errors..
| 
| C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
| 4\..
| /../../../i386-cygwin32/include/mywinsock.h:87: syntax error before
| `u_short'
| C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
| 4\..
| /../../../i386-cygwin32/include/mywinsock.h:782: syntax error before string
| cons
| tant
| C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
| 4\..
| /../../../i386-cygwin32/include/mywinsock.h:829: syntax error before `}'
| GCC.EXE: Internal compiler error: program cc1 got fatal signal 33
| 
| 
| I get this even if I just create a file "test.c" with 1 line "#include
| <mywinsock.h>
| 
| Is there something I am missing here?
| 
| 
| 
| Also, what is ming32, and what is its home page?
| 

There may be a small problem. Where is the exact location of mywinsock.h?

Your include statement is looking for in the standard header file
location. If your header file is in the same location as test.c, then the
include statement should look like this

#include "mywinsock.h"

or if you have  a header directory then,

#include "./header/myswinsock.h"

Hope this helps.

-Joe Stevens-)))--->> URL http://www530.gsfc.nasa.gov/~stevens
-----------------------------------------------+
|\ | /\ (<  /\     Goddard Space Flight Center |
| \|/  \ >)/  \    Network Engineering Branch  |
Code 531.2, Greenbelt, Maryland 20771          |
Email: [email-masked]      :-)      |
Tel: (301) 286-1557   Fax: (301) 286-1724      |
-----------------------------------------------+
  _     
 ___    "Remember the mission."
(- -)   
  ^      
  V      

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".